CHPASSWD(8)

NOM
chpasswd - Mettre à jour des mots de passe par lot

SYNOPSIS

chpasswd [options]

DESCRIPTION

The chpasswd command reads a list of user name and password pairs from standard input and uses this information to update a group of existing users. Each line is of the format:

user_name:password

By default the passwords must be supplied in clear-text, and are encrypted by chpasswd. Also the password age will be updated, if present.

By default, passwords are encrypted by PAM, but (even if not recommended) you can select a different encryption method with the -e, -m, or -c options.

Except when PAM is used to encrypt the passwords, chpasswd first updates all the passwords in memory, and then commits all the changes to disk if no errors occurred for any user.

When PAM is used to encrypt the passwords (and update the passwords in the system database) then if a password cannot be updated chpasswd continues updating the passwords of the next users, and will return an error code on exit.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

The options which apply to the chpasswd command are:

-c, --crypt-method METHOD
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    The available methods are DES, MD5, SHA256, SHA512, YESCRYPT and NONE if your libc supports these methods.

    Par défaut, PAM est utilisé pour chiffrer les mots de passe.

-e, --encrypted
    Indiquer que les mots de passe fournis sont chiffrés.

-h, --help
    Afficher un message d'aide et quitter.

-m, --md5
    Permettre d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported. No SELINUX support.

-P, --prefix PREFIX_DIR
    Apply changes to configuration files under the root filesystem found under the directory PREFIX_DIR. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

-s, --sha-rounds ROUNDS
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    You can only use this option with crypt method: SHA256 SHA512 YESCRYPT

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default number of rounds is 5000.

    By default, the number of rounds for YESCRYPT is defined by the YESCRYPT_COST_FACTOR in /etc/login.defs.

    A minimal value of 1 and a maximal value of 11 will be enforced for YESCRYPT. The default number of rounds is 5.

AVERTISSEMENTS

Pensez à configurer les permissions ou umask afin d'empêcher la lecture des fichiers non chiffrés par les d'autres utilisateurs.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

SHA_CRYPT_MIN_ROUNDS (number), SHA_CRYPT_MAX_ROUNDS (number)
    When ENCRYPT_METHOD is set to SHA256 or SHA512, this defines the number of SHA rounds used by the encryption algorithm by default (when the number of rounds is not specified on the command line).

    With a lot of rounds, it is more difficult to brute force the password. But note also that more CPU resources will be needed to authenticate users.

    If not specified, the libc will choose the default number of rounds (5000), which is orders of magnitude too low for modern hardware.

    The values must be inside the 1000-999,999,999 range.

    If only one of the SHA_CRYPT_MIN_ROUNDS or SHA_CRYPT_MAX_ROUNDS values is set, then this value will be used.

    If SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, the highest value will be used.

    Note: this only affect the generation of group passwords. The generation of user passwords is done by PAM and subject to the PAM configuration. It is recommended to set this variable consistently with the PAM configuration.

YESCRYPT_COST_FACTOR (number)
    When ENCRYPT_METHOD is set to YESCRYPT, this defines the cost factor used by the encryption algorithm by default (when the cost factor is not specified on the command line).

    With a high cost factor, it is more difficult to brute force the password. But note also that more CPU resources will be needed to authenticate users.

    The value must be inside the 1-11 range.

    Note: this only affect the generation of group passwords. The generation of user passwords is done by PAM and subject to the PAM configuration. It is recommended to set this variable consistently with the PAM configuration.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/pam.d/chpasswd
    PAM configuration for chpasswd.

VOIR AUSSI

passwd(1), newusers(8), login.defs(5), useradd(8).